# Copyright 2022-2023 ETSI TeraFlowSDN - TFS OSG (https://tfs.etsi.org/)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/commit-id: 23832f2975e3c8967e9685f7e3a5f5458d04527a
    app.quarkus.io/build-timestamp: 2023-04-04 - 11:47:48 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8080"
    prometheus.io/scheme: http
  labels:
    app.kubernetes.io/name: automationservice
    app: automationservice
  name: automationservice
spec:
  ports:
    - name: http
      port: 9192
      targetPort: 8080
    - name: grpc-server
      port: 5050
      targetPort: 5050
  selector:
    app.kubernetes.io/name: automationservice
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/commit-id: 23832f2975e3c8967e9685f7e3a5f5458d04527a
    app.quarkus.io/build-timestamp: 2023-04-04 - 11:47:48 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8080"
    prometheus.io/scheme: http
  labels:
    app: automationservice
    app.kubernetes.io/name: automationservice
  name: automationservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: automationservice
  template:
    metadata:
      annotations:
        app.quarkus.io/commit-id: 23832f2975e3c8967e9685f7e3a5f5458d04527a
        app.quarkus.io/build-timestamp: 2023-04-04 - 11:47:48 +0000
        prometheus.io/scrape: "true"
        prometheus.io/path: /q/metrics
        prometheus.io/port: "8080"
        prometheus.io/scheme: http
      labels:
        app: automationservice
        app.kubernetes.io/name: automationservice
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: CONTEXT_SERVICE_HOST
              value: contextservice
            - name: DEVICE_SERVICE_HOST
              value: deviceservice
          image: labs.etsi.org:5050/tfs/controller/automation:0.2.0
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 2
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 10
          name: automationservice
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP
            - containerPort: 5050
              name: grpc-server
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 2
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 10
          resources:
            limits:
              cpu: 500m
              memory: 2048Mi
            requests:
              cpu: 50m
              memory: 512Mi
